<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#E6000000"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="450dp"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_rect_round_11_solid_163277_50p"
        android:paddingTop="24dp">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="请选择签到类型"
            android:textColor="@android:color/white"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constrainedWidth="true" />

        <View
            android:id="@+id/line"
            android:layout_width="1dp"
            android:layout_height="80dp"
            android:background="@drawable/dotted_line_vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title" />

        <LinearLayout
            android:id="@+id/patrolSign"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:layout_marginBottom="40dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/line"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constrainedWidth="true">

            <ImageView
                android:layout_width="51dp"
                android:layout_height="56dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_xcqd" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="29dp"
                android:text="巡查签到"
                android:textColor="@android:color/white"
                android:textSize="17sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/accessSign"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:layout_marginBottom="40dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/line"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constrainedWidth="true">

            <ImageView
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_zrqd" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="29dp"
                android:text="准入签到"
                android:textColor="@android:color/white"
                android:textSize="17sp" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/close"
        android:layout_width="27dp"
        android:layout_height="62dp"
        android:contentDescription="@null"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        android:src="@mipmap/icon_gkytj_gb" />

</LinearLayout>